Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
DL_GroupParametersImpl< GROUP_PRECOMP, BASE_PRECOMP, BASE > Class Template Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for DL_GroupParametersImpl< GROUP_PRECOMP, BASE_PRECOMP, BASE >:

List of all members.

## Public Types

typedef GROUP_PRECOMP | GroupPrecomputation
typedef GROUP_PRECOMP::Element | Element
typedef BASE_PRECOMP | BasePrecomputation

## Public Member Functions

const DL_GroupPrecomputation < Element > & | GetGroupPrecomputation () const
const DL_FixedBasePrecomputation < Element > & | GetBasePrecomputation () const
DL_FixedBasePrecomputation < Element > & | AccessBasePrecomputation ()

## Protected Attributes

GROUP_PRECOMP | m_groupPrecomputation
BASE_PRECOMP | m_gpc

## Detailed Description

### template<class GROUP_PRECOMP, class BASE_PRECOMP = DL_FixedBasePrecomputationImpl< typename GROUP_PRECOMP::Element>, class BASE = DL_GroupParameters< typename GROUP_PRECOMP::Element>>
class DL_GroupParametersImpl< GROUP_PRECOMP, BASE_PRECOMP, BASE >

_

Definition at line 613 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h